Description: make sure build flags are applied when building designer plugin
Author: Dmitry Shachnev <mitya57@gmail.com>
Forwarded: no
Last-Update: 2013-11-11

--- a/configure.py
+++ b/configure.py
@@ -1000,6 +1000,10 @@
                 if src_dir != os.path.curdir:
                     fout.write("VPATH = %s\n" % os.path.join(src_dir, "designer"))
 
+                fout.write("QMAKE_CFLAGS += %s\n" % macros["CFLAGS"])
+                fout.write("QMAKE_CXXFLAGS += %s\n" % macros["CXXFLAGS"])
+                fout.write("QMAKE_LFLAGS += %s\n" % macros["LFLAGS"])
+
                 fout.write(prj)
                 fout.close()
 
@@ -2183,6 +2187,7 @@
         sipconfig.error("This version of PyQt requires SIP v%s or later" % sipconfig.version_to_string(sip_min_version))
 
     global opts
+    global macros
 
     # Parse the command line.
     p = create_optparser()
